/*
* @par License info
*
*
* Copyright (C) 2016 Carlos Fernández Moraga
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*
* This is free software, and you are welcome to redistribute it.
*
*/

package es.promax.canalizacion;

import java.util.ArrayList;

/**
 * Created by carlos on 21/11/15.
 */
public class Canalizacion {

    //Listado de canales
    String[] C02 = {"C02", "5050", "true"};
    String[] C03 = {"C03", "5750", "true"};
    String[] C04 = {"C04", "6450", "true"};
    String[] S01 = {"S01", "10750", "true"};
    String[] S02 = {"S02", "11450", "true"};
    String[] S03 = {"S03", "12150", "true"};
    String[] S04 = {"S04", "12850", "true"};
    String[] S05 = {"S05", "13550", "true"};
    String[] S06 = {"S06", "14250", "true"};
    String[] S07 = {"S07", "14950", "true"};
    String[] S08 = {"S08", "15650", "true"};
    String[] S09 = {"S09", "16350", "true"};
    String[] S10 = {"S10", "17050", "true"};
    String[] C05 = {"C05", "17750", "true"};
    String[] C06 = {"C06", "18450", "true"};
    String[] C07 = {"C07", "19150", "true"};
    String[] C08 = {"C08", "19850", "true"};
    String[] C09 = {"C09", "20550", "true"};
    String[] C10 = {"C10", "21250", "true"};
    String[] C11 = {"C11", "21950", "true"};
    String[] C12 = {"C12", "22650", "true"};
    String[] S11 = {"S11", "23350", "true"};
    String[] S12 = {"S12", "24050", "true"};
    String[] S13 = {"S13", "24750", "true"};
    String[] S14 = {"S14", "25450", "true"};
    String[] S15 = {"S15", "26150", "true"};
    String[] S16 = {"S16", "26850", "true"};
    String[] S17 = {"S17", "27550", "true"};
    String[] S18 = {"S18", "28250", "true"};
    String[] S19 = {"S19", "28950", "true"};
    String[] S20 = {"S20", "29650", "true"};
    String[] S21 = {"S21", "30600", "true"};
    String[] S22 = {"S22", "31400", "true"};
    String[] S23 = {"S23", "32200", "true"};
    String[] S24 = {"S24", "33000", "true"};
    String[] S25 = {"S25", "33800", "true"};
    String[] S26 = {"S26", "34600", "true"};
    String[] S27 = {"S27", "35400", "true"};
    String[] S28 = {"S28", "36200", "true"};
    String[] S29 = {"S29", "37000", "true"};
    String[] S30 = {"S30", "37800", "true"};
    String[] S31 = {"S31", "38600", "true"};
    String[] S32 = {"S32", "39400", "true"};
    String[] S33 = {"S33", "40200", "true"};
    String[] S34 = {"S34", "41000", "true"};
    String[] S35 = {"S35", "41800", "true"};
    String[] S36 = {"S36", "42600", "true"};
    String[] S37 = {"S37", "43400", "true"};
    String[] S38 = {"S38", "44200", "true"};
    String[] S39 = {"S39", "45000", "true"};
    String[] S40 = {"S40", "45800", "true"};
    String[] S41 = {"S41", "46600", "true"};
    String[] C21 = {"C21", "47400", "true"};
    String[] C22 = {"C22", "48200", "true"};
    String[] C23 = {"C23", "49000", "true"};
    String[] C24 = {"C24", "49800", "true"};
    String[] C25 = {"C25", "50600", "true"};
    String[] C26 = {"C26", "51400", "true"};
    String[] C27 = {"C27", "52200", "true"};
    String[] C28 = {"C28", "53000", "true"};
    String[] C29 = {"C29", "53800", "true"};
    String[] C30 = {"C30", "54600", "true"};
    String[] C31 = {"C31", "55400", "true"};
    String[] C32 = {"C32", "56200", "true"};
    String[] C33 = {"C33", "57000", "true"};
    String[] C34 = {"C34", "57800", "true"};
    String[] C35 = {"C35", "58600", "true"};
    String[] C36 = {"C36", "59400", "true"};
    String[] C37 = {"C37", "60200", "true"};
    String[] C38 = {"C38", "61000", "true"};
    String[] C39 = {"C39", "61800", "true"};
    String[] C40 = {"C40", "62600", "true"};
    String[] C41 = {"C41", "63400", "true"};
    String[] C42 = {"C42", "64200", "true"};
    String[] C43 = {"C43", "65000", "true"};
    String[] C44 = {"C44", "65800", "true"};
    String[] C45 = {"C45", "66600", "true"};
    String[] C46 = {"C46", "67400", "true"};
    String[] C47 = {"C47", "68200", "true"};
    String[] C48 = {"C48", "69000", "true"};
    String[] C49 = {"C49", "69800", "true"};
    String[] C50 = {"C50", "70600", "true"};
    String[] C51 = {"C51", "71400", "true"};
    String[] C52 = {"C52", "72200", "true"};
    String[] C53 = {"C53", "73000", "true"};
    String[] C54 = {"C54", "73800", "true"};
    String[] C55 = {"C55", "74600", "true"};
    String[] C56 = {"C56", "75400", "true"};
    String[] C57 = {"C57", "76200", "true"};
    String[] C58 = {"C58", "77000", "true"};
    String[] C59 = {"C59", "77800", "true"};
    String[] C60 = {"C60", "78600", "true"};
    String[] C61 = {"C61", "79400", "true"};
    String[] C62 = {"C62", "80200", "true"};
    String[] C63 = {"C63", "81000", "true"};
    String[] C64 = {"C64", "81800", "true"};
    String[] C65 = {"C65", "82600", "true"};
    String[] C66 = {"C66", "83400", "true"};
    String[] C67 = {"C67", "84200", "true"};
    String[] C68 = {"C68", "85000", "true"};
    String[] C69 = {"C69", "85800", "true"};
    String[] C70 = {"C70", "86190", "true"};

    String[][] channels = {C02, C03, C04, S01, S02, S03, S04, S05, S06, S07, S08, S09, S10, C05, C06, C07, C08, C09,
            C10, C11, C12, S11, S12, S13, S14, S15, S16, S17, S18, S19, S20, S21, S22, S23, S24, S25, S26, S27, S28,
            S29, S30, S31, S32, S33, S34, S35, S36, S37, S38, S39, S40, S41, C21, C22, C23, C24, C25, C26, C27, C28,
            C29, C30, C31, C32, C33, C34, C35, C36, C37, C38, C39, C40, C41, C42, C43, C44, C45, C46, C47, C48, C49,
            C50, C51, C52, C53, C54, C55, C56, C57, C58, C59, C60, C61, C62, C63, C64, C65, C66, C67, C68, C69, C70};

    private String nameCanalizacion = "CCIR";
    private ArrayList<Channel> canalizacion;

    public Canalizacion() {
        canalizacion = new ArrayList<Channel>();
        rellenarArray();
    }

    private void rellenarArray() {
        String auxBoolean = "true";

        for (int i = 0; i < channels.length; i++) {
            Channel channel = new Channel();
            channel.setNameChannel(channels[i][0]);
            channel.setFrequencyChannel(Integer.parseInt(channels[i][1]));
            channel.setDigitalChannel(auxBoolean.equalsIgnoreCase(channels[i][2]));
            canalizacion.add(channel);
        }
    }

    public ArrayList<Channel> getCanalizacion() {
        return canalizacion;
    }

    public void setCanalizacion(ArrayList<Channel> canalizacion) {
        this.canalizacion = canalizacion;
    }

    public String getNameCanalizacion() {
        return nameCanalizacion;
    }

    public void setNameCanalizacion(String nameCanalizacion) {
        this.nameCanalizacion = nameCanalizacion;
    }

}
